<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_i_o_stream.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">IOStream Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_i_o_stream.html">IOStream</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>AUTH</b> enum value (defined in <a class="el" href="class_i_o_stream.html">IOStream</a>)</td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>BOOKS</b> enum value (defined in <a class="el" href="class_i_o_stream.html">IOStream</a>)</td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#af387fc9782b78d559e9e123f8d4b0378">DATA_FILES</a> enum name</td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#ac3e47a49464ceb37fcc7d8813883ba27">getAppDirPath</a>() const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#a864edcac5f83b8eda0d707354dd72b84">getAuthDataFilePath</a>() const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#ad0e283e64eadd042e415ee8a0a8bd793">getBooksDataFilePath</a>() const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#acd040bf507604b891aa1cae4d621aad7">getUsersDataFilePath</a>() const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#aa59f4d583a53d0084d42665c80373acd">IOStream</a>()</td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#a726b753d942c4053772f1f4753481076">readBooks</a>(QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#a1298f34f7ce16078d10823e9a6784d53">readFileToJson</a>(QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#a99506021a117fd34df0f622bd33545f2">readOAuth</a>(QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#a419b2221abeaa4756de0be3e117b5fd8">readUsers</a>(QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>USERS</b> enum value (defined in <a class="el" href="class_i_o_stream.html">IOStream</a>)</td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#acce186afe3fd4a4a11a1499d593aa8d1">writeBooks</a>(std::vector&lt; Book &gt; books, QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#aae24a6ac3c331a95e8438e7616eefa3b">writeFileAsJson</a>(QJsonDocument jsonData, QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_i_o_stream.html#a40e2bd3e025d41de39c18e72d853b013">writeOAuth</a>(OAuth oauth, QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_i_o_stream.html#a4ca580f07f8515b4a2e2763dcf7adc01">writeUsers</a>(std::vector&lt; User * &gt; users, QString filePath) const </td><td class="entry"><a class="el" href="class_i_o_stream.html">IOStream</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
